Skip to content

Create a Turn

Redline APITurns

POSThttps://api.redline.example/v1/matters/{matter_id}/turns

AuthRequires authentication via bearerAuth.

Description

Records a completed Turn from an existing Matter document.

Parameters

matter_idpathstringrequired
Matter identifier.

Request body

application/jsonrequired

sidebodystringrequired
Party that completed the Turn.
document_idbodystringrequired
summarybodystring
completed_bybodystringrequired

Responses

201The recorded Turn.application/json
idstringrequired
matter_idstringrequired
numberintegerrequired
sidestringrequired
Party that completed the Turn.
document_idstringrequired
summarystring | null
completed_bystringrequired
Member identifier or verified counterparty email.
completed_atstring <date-time>required
401The API key is missing, malformed, expired, or revoked.application/json
errorobjectrequired
403The API key does not have permission for this action.application/json
errorobjectrequired
404The resource was not found in the authenticated Workspace.application/json
errorobjectrequired
409The operation conflicts with the current resource state.application/json
errorobjectrequired
422One or more request fields are invalid.application/json
errorobjectrequired